/* Basic reset */
:after
:before{
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
}

:root{
    --font: 'montserrat', sans-serif
    /* 
    'Antonio', sans-serif
    'Bebas Neue', cursive
    'Bitter', serif
    'Crimson Text', serif
    'Montserrat', sans-serif
    'Raleway', sans-serif
    'Roboto', sans-serif 
    'mascot-mvb-rough-2', sans-serif

*/
}
/* Her starter koden til mobil design. Her bliver nogle elementer gemt som ikke skal ses på mobilen samt andre elementer bliver stylet */

body{
    background-image: url(/img/NTF2\ NF232065.jpg);
}

.menu{
    display: none;
}

.site{
    display: none;
}

header{
    display: none;
}

/* Styling af forsiden til mobil */

.logo{
    display: flex;
    justify-content: flex-start;
    padding: 20px;
    background-color: #111111;
}

#trold_velkommen{
    display: none;
}

#startside{
    display: flex;
    justify-content: center;
    padding: 20px;
    background-color: #11111100;
}

.touch_menu{
    margin-top: 10px;
    margin-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
}

.touch_menu img{
    padding-top: 15px;
    padding-bottom: 15px;
}

/* Styling af footer */

.vestergade, .fredensgade, .kontakt{
    padding:20px;
    display: none;
}

.footer{
    display: none;
}

.vestergade p, .fredensgade p, .kontakt p{
    font-family: var(--font);
}

.touch_footer{
    background-color: #111111;
    color: whitesmoke;
    font-family: var(--font);
    justify-content: center;
    display: flex;
    height: 200px;
    align-items: center;
}

.touch_footer img{
    padding:10px;
}

/* Styling af spilreolsiden */

.soeg{
    display: block;
    font-family: var(--font);
}

.soeg_billede{
    display: flex;
    font-family: var(--font);
    justify-content: center;
    align-items: center;
    background-image: url(/img/Baggrundspilreolen.png);
    background-size: contain;
    width: 100%;
    height: 30vh;
}

#søg1 {
    width: 200px;
    padding: 10px;
    font-size: 1rem; 
    border: 1px solid black;
    font-family: var(--font);
}

#botton1 {
    font-family: var(--font);
    font-size: 1rem;
    font-weight: bold;
    background-color:#C02029;
    color: white;
    padding: 10px;    
    border: 1px solid black;
}

.månedensspil{
    display: flex;
    justify-content: center;
    padding: 20px;
}

.månedensspil img{
    width: 100%;
}

.ms_tekst{
    display: block;
    color: whitesmoke;
    padding: 20px;
    padding-top: 0px;
    font-family: var(--font);
    font-size: 20px;
}

.ms_tekst img{
    display: block;
    margin-left: auto;
    margin-right: auto;
    padding-top: 10px;
}

.ms_tekst h1{
    font-size: 30px;
    padding: 20px;
    text-align: center;
}

/* Styling af "Om Caféerne" siden */

section{
    background-color: #F5F0DA;
    padding-bottom: 0;
    margin-bottom: 0;
    font-family: var(--font);
}

section h1{
    font-family: var(--font);
    font-size: 30px;
    padding: 10px;
    padding-top: 20px;
    padding-bottom: 0px;
}

section h2{
    font-family: var(--font);
    font-size: 20px;
    padding-left: 10px;
    padding-top: 5px;
}

section p{
    font-family: var(--font);
    font-size: 20px;
    padding: 10px;
    padding-bottom: 20px;
}

section ul{
    display: block;
    float: left;
}

section li{
    font-family: var(--font);
    font-size: 20px;
    padding-top: 20px;
    padding-left: 10px;
}

#cafeer{
    display: flex;
}

#cafeer li{
    padding-left: 20px;
    font-family: var(--font);
    font-size: 20px;
}

#tider{
    padding-left: 40px;
    padding-right: 20px;
}

section img {
    padding-top: 20px;
}

/* Her starter styling af elementerne så siderne fungere på devices over 800px*/
@media screen and (min-width: 800px){
    body{
        background-image: url(/img/NTF2\ NF232065.jpg);
    }

    .site{
        display: flex;
    }
    
    /*Styling af header*/

    header{
        background: #111111;
        position: sticky;
        top:0;
        display: flex;
        color: whitesmoke;
        width: 100%;

    }

    .navigation_container{
        margin-left: auto;
        margin-right: auto;
    }
    
    .dropdown {
        position: relative;
        display: block;   
        max-height: 175px;
        width: 20%;
    }
      
    .dropdown-content {
        display: none;
        position: absolute;
        background-color: #f9f9f9;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        min-width: 100%;
    }
      
    .dropdown-content a {
        background-color: #111111;
        color: white;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
        font-family: var(--font);
    }
     
    .dropdown-content a:hover {background-color: #111111;
    }
      
    .dropdown:hover .dropdown-content {
        display: block;
    }
      
    .dropdown:hover .dropbtn {
        background-color: #111111;
    }
    
    .dropbtn {
        background-color: #111111;
        color: white;
        font-size: 1.1rem;
        border: none;
        cursor: pointer;
        max-width: 13vw;
        height: 175px;
        font-family: var(--font);
        margin: 0;
        padding: 0;
    }
    
    .menuitems_container{
        display: flex;
        min-height: 175px;
        justify-content: center;
        flex-direction: row;
    }
    
    #logo{
        padding-top: 20px;
        padding-bottom: 20px;
        background-color: #111111;
    }
    
    .dropdown-content1 {
        display: none;
        position: absolute;
        background-color: #f9f9f9;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        min-width: 100%;
    }
      
    .dropdown-content1 a {
        background-color: #111111;
        color: white;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
        font-family: var(--font);
    }
    
    .dropbtn1 {
        background-color: #111111;
        color: white;
        font-size: 16px;
        text-align: left;
        padding: 12px;
        padding-left: 16px;
        border: none;
        cursor: pointer;
        min-width: 15vw;
        height: 100%;
        font-family: var(--font);
        margin: 0;
    }
      
    .dropdown1:hover .dropdown-content1 {
        display: block;
    }
    
    #startside, .touch_menu, .logo{
        display: none;
    }

    /*styling af indhold på forsiden*/

    .tavle{
        display: flex;
        background-color: #252525;
        justify-content: center;
    }
    
    .tavle img{
        padding: 20px;
    }
    
    .hylder{
        background-color: #252525;
    }
    
    .hylder img{
        width: 100%;
    }
    
    .galleri{
        display: flex;
        justify-content: space-around;
        padding-top: 50px;
        padding-bottom: 50px;
        background-color: #252525;
        align-self: center;
        padding-left: 5vw;
        padding-right: 5vw;
    }
    
    .galleri img{
        display: block;
        width: 20vw;
        height: 20vw;
    }

    .opslag{
        margin: 100px;
        margin-bottom: 0;
        padding:40px;
        background-color: #e9dfd3;
        float: left;
        text-align: center;
    }
    
    .tekst{
        float: left;
        width: 66%;
    }
    
    .opslag h1{
        font-size: 40px;
        font-family: var(--font);
        padding-bottom: 40px;
    }
    
    .tekst p{
        font-size: 20px;
        padding-left: 10px;
        font-family: var(--font);
        text-align: left;
    }
    
    .opslag img{
        display: flex;
        align-self: flex-start;
        width: 15vw;
    }
    
    #trold{
        display: block;
        float: right;
        width: 25%;
    }
    
    button{
        margin-top: 20px;
        padding:20px;
        font-size: 20px;
        background-color: #e9dfd3;
        border: solid #252525 2px;
        width: 175px;
        font-family: var(--font);
    }
    
    /*Styling af footer*/

    .footer{
        background-color: #111111;
        color: whitesmoke;
        font-family: var(--font);
        justify-content: center;
        font-size: 20px;
        display: flex;
        height: 200px;
        align-items: center;
    }

    .vestergade, .fredensgade{
        display: block;
    }

    .kontakt{
        display: block;
        padding-right: 0;
        padding-left: 0;
        font-size: 18px;
    }

    .touch_footer{
        display: none;
    }

    .footer img{
        padding:10px;
    }

    /*Styling af find spil siden*/
    #findspil{
        display: flex;
        width: 45%;
        margin-right: auto;
        margin-left: auto;
    }

    /*Styling af Spilreolsiden*/

    .soeg{
        display: block;
        font-family: var(--font);
    }
    
    .soeg_billede{
        display: flex;
        font-family: var(--font);
        justify-content: center;
        align-items: center;
        background-image: url(/img/Baggrundspilreolen.png);
        background-size: contain;
        width: 100%;
        height: 50vh;
    }
    
    #søg1 {
        width: 300px;
        padding: 10px;
        font-size: 1.5rem; 
        border: 1px solid black;
        font-family: var(--font);   
    }

    #botton1 {
        font-family: var(--font);
        font-size: 1.5rem;
        font-weight: bold;
        background-color:#C02029;
        color: white;
        padding: 10px;    
        border: 1px solid black;
    }

    .månedensspil{
        display: flex;
        justify-content: center;
        padding: 20px;
    }
    
    .månedensspil img{
        width: 40%;
        padding-top:40px ;
    }
    
    .ms_tekst{
        display: block;
        color: whitesmoke;
        padding: 50px;
        padding-top: 0px;
        font-size: 30px;
        width: 70vw;
        margin-left: auto;
        margin-right: auto;
    }

    .border{
        border-bottom: 5px solid #111111;
    }
    
    .ms_tekst img{
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 25%;
        padding-bottom: 40px;
    }
    
    .ms_tekst p{
        font-family: var(--font);
    }

    .ms_tekst h1{
        font-size: 30px;
        padding: 20px;
        text-align: center;
        font-family: var(--font);
    }

    #rund{
        float: right;
    }

    #rund1{
        float: left;
        padding-right: 15px;
    }

    /*Styling af Om caféerne siden*/

    section{
        background-image: url(/img/Bindingsværk.png);
        background-size:100%;
        background-repeat: no-repeat;
    }

    section h1{
        margin-left: 55%;
        font-size: 2vw;
    }

    section h2{
        margin-left: 55%;
        font-size: 1.5vw;
    }

    section p{
        margin-left: 55%;
        font-size: 1.2vw;
    }

    #tider{
        display: flex;
        flex-direction: column;
        font-size: 1vw;
    }

    #åbningstider{
        padding-top: 13%;
        font-size: 1.5vw;
    }

    #bindingsværk{
        display: none;
    }

    .åbningstider{
        font-size: 1.2vw;
        margin-left: 55%;
    }

    #cafeer{
        padding-right: 45%;
        font-size: 1vw;
        width: 11vw;
    }

    #cafeer li{
        font-size: 1.5vw;
        padding-right: 45%;
        padding-top: 10px;
    }

    section li{
        font-size: 1.2vw;
    }

    #trold_velkommen{
        display: flex;
        float: left;
    }
    
  }

  /* Her er vores grid der styrer opstillingen af vores hjemmeside på devices over 800px og over 1200px*/
  @supports (display: grid){
    @media screen and (min-width: 800px){
        .site{
            display: grid;
            grid-template-columns: 1fr;
            grid-template-rows: auto 1fr 1fr;
            grid-template-areas: 
                "tavle"
                "hylder"
                "article"
                "galleri"
                "footer";
        }
        .tavle{
            grid-area: tavle;
        }
        .hylde{
            grid-area: hylder;
        }
        article{
            grid-area: article;
        }
        .galleri{
            grid-area: galleri;
        }
        footer{
            grid-area: footer;
        }
    }
    @media screen and (min-width: 1200px){
        .site{
            display: grid;
            grid-template-columns: 1fr 1fr;
            grid-template-rows: auto 1fr 1fr;
            grid-template-areas: 
                "tavle hylder"
                "article article"
                "galleri galleri"
                "footer footer";
        }
    }
}



  